﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfXamDateTimeTest
{
	public class Controller: INotifyPropertyChanged
	{
		public DateTimeBo DateTimeBo
		{
			get
			{
				return this.dateTimeBo;
			}
			set
			{
				this.dateTimeBo = value;
				NotifyPropertyChanged("DateTimeBo");
			}
		}
		private DateTimeBo dateTimeBo;

		public Controller()
		{
			this.DateTimeBo = new DateTimeBo { DateValue = DateTime.Now, TextValue="TextVaue test" };
		}

		#region INotifyPropertyChanged Members

		/// <summary>
		/// Occurs when a property value changes.
		/// </summary>
		public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

		/// <summary>
		/// Set modified flag and send notification
		/// </summary>
		/// <param name="propertyName">Property-Name</param>
		protected void NotifyPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
		}

		#endregion
	}
}
