﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfXamDateTimeTest
{
	public class DateTimeBo :INotifyPropertyChanged
	{
		public DateTime? DateValue
		{
			get
			{
				return this.dateValue;
			}
			set
			{
				this.dateValue = value;
				NotifyPropertyChanged("DateValue");
			}
		}
		private DateTime? dateValue;

		public string TextValue
		{
			get
			{
				return this.textValue;
			}
			set
			{
				this.textValue = value;
				NotifyPropertyChanged("TextValue");
			}
		}
		private string textValue;

		#region INotifyPropertyChanged Members

		/// <summary>
		/// Occurs when a property value changes.
		/// </summary>
		public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

		/// <summary>
		/// Set modified flag and send notification
		/// </summary>
		/// <param name="propertyName">Property-Name</param>
		protected void NotifyPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
		}

		#endregion
	}
}
